curl "https://app.drime.cloud/api/v1/file-backup?file_id=123&workspaceId=0" \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN"
const fileId = 123;
const response = await fetch(
`https://app.drime.cloud/api/v1/file-backup?file_id=${fileId}&workspaceId=0`,
{
headers: {
'Authorization': 'Bearer YOUR_ACCESS_TOKEN'
}
}
);
const { pagination } = await response.json();
const backups = pagination.data;
import requests
response = requests.get(
'https://app.drime.cloud/api/v1/file-backup',
params={'file_id': 123, 'workspaceId': 0},
headers={'Authorization': 'Bearer YOUR_ACCESS_TOKEN'}
)
backups = response.json()['pagination']['data']
{
"pagination": {
"current_page": 1,
"data": [
{
"id": 456,
"name": "document_backup_20240115.pdf",
"file_size": 1048576,
"created_at": "2024-01-15T10:30:00.000000Z"
}
],
"total": 1,
"per_page": 15
},
"status": "success"
}
{
"pagination": {
"current_page": 1,
"data": [],
"total": 0,
"per_page": 15
},
"status": "success"
}
Files & Folders
Get File Backup History
Get version history for a file
GET
/
file-backup
curl "https://app.drime.cloud/api/v1/file-backup?file_id=123&workspaceId=0" \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN"
const fileId = 123;
const response = await fetch(
`https://app.drime.cloud/api/v1/file-backup?file_id=${fileId}&workspaceId=0`,
{
headers: {
'Authorization': 'Bearer YOUR_ACCESS_TOKEN'
}
}
);
const { pagination } = await response.json();
const backups = pagination.data;
import requests
response = requests.get(
'https://app.drime.cloud/api/v1/file-backup',
params={'file_id': 123, 'workspaceId': 0},
headers={'Authorization': 'Bearer YOUR_ACCESS_TOKEN'}
)
backups = response.json()['pagination']['data']
{
"pagination": {
"current_page": 1,
"data": [
{
"id": 456,
"name": "document_backup_20240115.pdf",
"file_size": 1048576,
"created_at": "2024-01-15T10:30:00.000000Z"
}
],
"total": 1,
"per_page": 15
},
"status": "success"
}
{
"pagination": {
"current_page": 1,
"data": [],
"total": 0,
"per_page": 15
},
"status": "success"
}
Overview
Returns backup/version history for a given file. Shows previous versions that can be restored.Query Parameters
integer
required
File entry ID
integer
Workspace ID
integer
default:"15"
Items per page
Response
object
string
Request status (
success)curl "https://app.drime.cloud/api/v1/file-backup?file_id=123&workspaceId=0" \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN"
const fileId = 123;
const response = await fetch(
`https://app.drime.cloud/api/v1/file-backup?file_id=${fileId}&workspaceId=0`,
{
headers: {
'Authorization': 'Bearer YOUR_ACCESS_TOKEN'
}
}
);
const { pagination } = await response.json();
const backups = pagination.data;
import requests
response = requests.get(
'https://app.drime.cloud/api/v1/file-backup',
params={'file_id': 123, 'workspaceId': 0},
headers={'Authorization': 'Bearer YOUR_ACCESS_TOKEN'}
)
backups = response.json()['pagination']['data']
{
"pagination": {
"current_page": 1,
"data": [
{
"id": 456,
"name": "document_backup_20240115.pdf",
"file_size": 1048576,
"created_at": "2024-01-15T10:30:00.000000Z"
}
],
"total": 1,
"per_page": 15
},
"status": "success"
}
{
"pagination": {
"current_page": 1,
"data": [],
"total": 0,
"per_page": 15
},
"status": "success"
}
⌘I

